Minimum device requirements for CerebroLMS

The basic CerebroLMS installation will run on most operating systems since the ready-to-use modules that we provide are converted to HTML5 format which will load on any standard browser.

For best experience, we recommend the use of the latest versions of the following browsers:

  • Google Chrome
  • Mozilla Firefox

However, we strongly suggest that CerebroLMS users check the minimum device requirements issued by the Department of Education (DepEd) when choosing a device that would be more appropriate for e-learning.

Check this link: https://authdocs.deped.gov.ph/oua-docs/ouad00-0620-0030/

Article Details

Article ID:
23
Rating :

Related articles